package com.example.android.dnd;

import android.app.Activity;
import android.os.Bundle;
import android.view.DragEvent;
import android.view.View;
import android.widget.TextView;

public class Main extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		TextView statusText = (TextView) findViewById(R.id.status);
		TextView resultText = (TextView) findViewById(R.id.result);

		HoneyBeeView honeyView = (HoneyBeeView) findViewById(R.id.honeybee);
		honeyView.setTextView(statusText, resultText);

		RobotView robotView = (RobotView) findViewById(R.id.robot);
		robotView.setResultTextView(resultText);
		
		resultText.setOnDragListener(new View.OnDragListener() {
			@Override
			public boolean onDrag(View v, DragEvent event) {
System.out.println("event:"+event.getAction());
				return false;
			}
		});
		
	}
}